### Signal

# Pos InputMethod::done

#### Declaration

    void
    done (
      PosInputMethod* self,
      gpointer user_data
    )

#### Description [src]

The done signal is sent when the state changes sent by the compositor should be applied. The `active`, `surrounding-text`, `text-change-cause`, `purpose` and `hint` properties are then guaranteed to have the values sent by the compositor.

Default handler: The default handler is called after the handlers added via `g_signal_connect()`.